<template>
  <v-app :dark="dark">
    <v-navigation-drawer
      fixed
      disableRouteWatcher="true"
      :mini-variant="miniVariant"
      :clipped="clipped"
      v-model="drawer"
      app
    >
      <v-list>
        <v-subheader >Menu</v-subheader>
        <template
          value="true"
          v-for="(item, i) in drawer_items"
          >
            <v-list-tile :key="i">
              <v-list-tile-action>
                <v-icon v-html="item.icon"></v-icon>
              </v-list-tile-action>
              <v-list-tile-content>
                <v-list-tile-title>
                  <!-- the native handler closes the drawer after we navigate, if its open -->
                  <router-link v-if="item.to"
                    :to="item.to"
                    @click.native="drawer = false"
                    >
                    {{ item.title }}
                  </router-link>
                </v-list-tile-title>
                <v-list-tile-sub-title v-text="item.subtitle"></v-list-tile-sub-title>
              </v-list-tile-content>
            </v-list-tile>
            <v-divider></v-divider>
          </template>
          <v-subheader >Contact Rick Page</v-subheader>
          <template
            value="true"
            v-for="(item, i) in contact_items"
            >
              <v-list-tile
              :key="i+10"
              >
                <v-list-tile-action>
                  <v-icon v-html="item.icon"></v-icon>
                </v-list-tile-action>
                <v-list-tile-content>
                  <v-list-tile-title>
                      <a v-if="item.wrap_href" :href="item.wrap_href">{{ item.title }}</a>
                      <a v-show="item.iscontactform" @click.stop="dialog3=false">{{ item.title }}</a>
                  </v-list-tile-title>
                  <v-list-tile-sub-title v-text="item.subtitle"></v-list-tile-sub-title>
                </v-list-tile-content>
              </v-list-tile>
              <v-divider v-if=""></v-divider>
            </template>
      </v-list>
    </v-navigation-drawer>
    <v-toolbar fixed app :clipped-left="clipped">
      <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
      <v-toolbar-title class="smallcaps" v-text="title">
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-toolbar-items>

      </v-toolbar-items>
      <!-- lights on / off -->
      <v-tooltip bottom>
        <v-btn slot="activator" fab small :color="computed_light_color" @click="dark = !dark" >
          <v-icon large >lightbulb_outline</v-icon>
        </v-btn>
        <span>Toggle Night/Day Mode</span>
      </v-tooltip>
    </v-toolbar>
    <v-content>
      <router-view/>
      <!-- Pop-up -->
      <v-dialog v-model="dialog3" max-width="500px">
       <v-card>
         <v-card-title>
           <h4>Contact Form</h4>

       Email <v-text-field>Email</v-text-field>
       <br>
     </v-card-title>
         <v-card-actions>
           <v-btn color="primary"  @click.stop="">Send Message</v-btn>
           <v-btn color="primary"  @click.stop="dialog3=false">Close</v-btn>
         </v-card-actions>
       </v-card>
     </v-dialog>
    </v-content>
    <v-footer :fixed="fixed" app>
      <span>&copy; 2018</span>
    </v-footer>

  </v-app>
</template>
<style scoped>
  #app {
    background-image: url('/public/blue.jpg');
    background-position: bottom;
    background-size: cover;
  }
  .smallcaps {
    font-variant: small-caps;
  }


</style>

<script>
  export default {
    data () {
      return {
        name: 'App',
        dialog3: false,
        dark: false,
        clipped: false,
        drawer: false,
        fixed: true,
        drawer_items: [
          { icon: 'send', title: 'Home', subtitle: "Introduction", to: {name: "home"} },
          { icon: 'send', title: 'Experience', subtitle: "History, skills and resume", to: {name: "experience"} },
          { icon: 'send', title: 'Portfolio', subtitle: "Examples", to: {name: "portfolio"} },
        ],
        contact_items: [
          { icon: 'phone', title: '+1 (732) 703-7993', subtitle: "Call", wrap_href: "tel:+17327037993" },
          { icon: 'email', title: 'admin@rpcodes.biz', subtitle: "E-Mail", wrap_href: "mailto:admin@rpcodes.biz", iscontactform: false },
          //{ icon: 'announcement', title: 'Contact Form', subtitle: "Quickly send a message.", iscontactform: true },
        ],
        miniVariant: false,
        title: 'RP Codes',
     }
    },
    methods: {

    },
    computed:{
      computed_light_color(){
        return this.dark == false ? "primary":"accent";
      },
    }
  }
</script>
